Package Details: openoffice-uglyfix-freetype2 2.6.3-1

Git Clone URL: https://aur.archlinux.org/openoffice-uglyfix-freetype2.git (read-only)
Package Base: openoffice-uglyfix-freetype2
Description: Compiles freetype2 .so files and puts them in the openoffice/libreoffice directory to fix font ugliness
Upstream URL: http://freetype.sourceforge.net
Licenses: GPL
Submitter: ilikenwf
Maintainer: ilikenwf
Last Packager: ilikenwf
Votes: 31
Popularity: 0.438995
First Submitted: 2008-12-11 03:59
Last Updated: 2016-03-07 04:31

Dependencies (2)

Required by (0)

Sources (2)

Latest Comments

tdebruyn commented on 2013-04-24 07:23

Problem is fixed by adding "cd ${srcdir}/freetype-${pkgver}" as first line in the package() function.

tdebruyn commented on 2013-04-18 22:24

Same problem here with building 2.4.11-3

Anonymous comment on 2013-04-17 17:16

Having some issues with the latest version

==> Starting package()...
make: *** No rule to make target `install'. Stop.
==> ERROR: A failure occurred in package().
Aborting...

ilikenwf commented on 2012-04-08 02:51

Version bump. Let me know if this works for you. :)

frigaut commented on 2012-04-05 01:47

Hi,

2 issues:
1) you need to update the PKGBUILD to reflect the new location of install. /bin/install -> /usr/bin/install
2) I have an error during the install:
[...]
/usr/bin/install: target ‘/tmp/packerbuild-501/openoffice-uglyfix-freetype2/openoffice-uglyfix-freetype2/pkg/usr/lib/libfreetype.so.6.8.0’ is not a directory
==> ERROR: A failure occurred in build().
Aborting...
The build failed.
[...]

ilikenwf commented on 2011-12-11 04:15

Updated.

ilikenwf commented on 2011-06-19 23:41

The below comments are ancient -- please ignore them.

ilikenwf commented on 2010-12-12 04:39

Updated...and the build you posted isn't different...mostly because libreoffice is in the same directory, so everything works out ok.

fettouhi commented on 2010-12-11 08:36

Here is a pkgbuild that works with libreoffice

# Contributor: ilikenwf/Matt Parnell <parwok@gmail.com>
# Maintainer: ilikenwf/Matt Parnell <parwok@gmail.com>

pkgname=openoffice-uglyfix-freetype2
pkgver=2.4.4
pkgrel=1
pkgdesc="Compiles freetype2 .so files and puts them in the openoffice directory to fix font ugliness"
arch=(i686 x86_64)
license=('GPL')
url="http://freetype.sourceforge.net"
depends=('zlib' 'openoffice-base')
options=('!libtool')
source=(http://downloads.sourceforge.net/sourceforge/freetype/freetype-${pkgver}.tar.bz2
freetype-2.3.0-enable-spr.patch
freetype-2.2.1-enable-valid.patch
freetype-2.2.1-memcpy-fix.patch
openoffice.patch)
md5sums=('b3e2b6e2f1c3e0dffa1fd2a0f848b671'
'816dc8619a6904a7385769433c0a8653'
'214119610444c9b02766ccee5e220680'
'6fb6606d28082ecb8e0c6d986b0b26aa'
'c9ff451346b5f542479828df875e1d39')

build() {
cd ${srcdir}/freetype-${pkgver}
patch -Np1 -i ${srcdir}/freetype-2.3.0-enable-spr.patch || return 1
patch -Np1 -i ${srcdir}/freetype-2.2.1-enable-valid.patch || return 1
patch -Np1 -i ${srcdir}/freetype-2.2.1-memcpy-fix.patch || return 1
patch -Np0 -i ${srcdir}/openoffice.patch || return 1

# Make this work if go-openoffice is installed:
if [ -a /usr/lib/ooo-3.3 ]
then
INSTDIR=ooo-3.3
else
INSTDIR=openoffice
fi

./configure --prefix=/usr --with-bytecode_interpreter --with-subpixel_rendering --disable-static || return 1
make || return 1
make DESTDIR=${startdir}/pkg install || return 1
mkdir -p ${pkgdir}/usr/lib/${INSTDIR}/program
/bin/install -c ${startdir}/pkg/usr/lib/libfreetype.so* ${pkgdir}/usr/lib/${INSTDIR}/program/
rm -rf ${pkgdir}/usr/{bin,include,share}
rm -rf ${pkgdir}/usr/lib/{pkgconfig,libfreetype.so,libfreetype.so.6,libfreetype.so.6.6.2}
}

fettouhi commented on 2010-12-10 18:08

Could this be updated to latest 2.4.4 of freetype2 and be compatible to klibreoffice insted of go-openoffice?

fettouhi commented on 2010-12-10 18:06

Could this be updated to latest 2.4.4 of freetype2 and be compatible to klibreoffice insted of go-openoffice?

fettouhi commented on 2010-12-10 18:03

Could this be updated to latest 2.4.4 of freetype2 and be compatible to klibreoffice insted of go-openoffice?

fettouhi commented on 2010-12-10 18:03

Could this be updated to latest 2.4.4 of freetype2 and be compatible to klibreoffice insted of go-openoffice?

fettouhi commented on 2010-12-10 18:02

Could this be updated to latest 2.4.4 of freetype2 and be compatible to klibreoffice insted of go-openoffice?

Anonymous comment on 2010-09-10 16:03

This gives me the error:
error: failed to commit transaction (conflicting files)
openoffice-uglyfix-freetype2: /usr/lib/libfreetype.so.6.6.0 exists in filesystem

So I changed:
rm -rf ${pkgdir}/usr/lib/{pkgconfig,libfreetype.so,libfreetype.so.6,libfreetype.so.6.4.0}
To:
rm -rf ${pkgdir}/usr/lib/{pkgconfig,libfreetype.so,libfreetype.so.6,libfreetype.so.6.6.0}

fettouhi commented on 2010-09-04 20:39

Outstanding, many thanks!

ilikenwf commented on 2010-09-04 19:55

Done.

fettouhi commented on 2010-09-04 19:51

Can you update so that it uses freetype 2.4.2, since it is in [extra] now?

ilikenwf commented on 2010-09-04 19:37

Bump... I fixed that. Thanks for turning me onto go-openoffice, by the way...it's a lot faster...

Anyway, I added a little check to the build to put the file we compile in the proper directory, depending on which version is installed - openoffice-base or go-openoffice.

Rebuild and reinstall it, should work fine for you now.

Anonymous comment on 2010-09-04 17:38

I have installed it after go-openoffice and see absolutely no difference: the fonts are as useless as ever. What am I dong wrong? Also, how do I find out who made the package?

ilikenwf commented on 2010-08-05 01:08

Version bump.

cap_sensitive commented on 2010-04-12 10:29

that's excellent !
thanks!

ilikenwf commented on 2010-04-11 22:00

All up to date now.